Bug 197455 - dmesg says CPU has Pentium F0 0F bug..../proc/cpuinfo says it hasnt
dmesg says CPU has Pentium F0 0F bug..../proc/cpuinfo says it hasnt
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-01 19:42 EDT by Need Real Name
Modified: 2008-09-13 00:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 08:19:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
relevant cpuinfo and dmesg portion output (849 bytes, text/plain)
2006-07-01 19:42 EDT, Need Real Name
no flags Details
fix for the f00f bug detection (1.33 KB, text/plain)
2008-08-01 00:51 EDT, Chuck Ebbert
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 9928 None None None Never

  None (edit)
Description Need Real Name 2006-07-01 19:42:37 EDT
Description of problem:

CPU bug reporting mismatch: dmesg reports my i586 CPU has the Pentium F0 0F bug,
whilst /proc/cpuinfo says it hasnt.

Version-Release number of selected component (if applicable):

happens in both kernel-2.6.17-1.2139_FC4 and kernel-2.6.16-1.2115_FC4

How reproducible:

boot up with i586 CPU dmesg recognises it has the bug <Intel Pentium with F0 0F
bug - workaround enabled> but a look at /proc/cpuinfo after booting and it says
there is no F0 0F bug...<f00f_bug: no>.

Steps to Reproduce:
1.boot up with an i586
2.look at dmesg for F0 0F bug
3.look at /proc/cpuinfo for F0 0F bug
  

Actual results:

Dmesg reports F0 0F bug and reports workaround is applied.

/proc/cpuinfo reports no F0 0F bug.


Expected results:

Expected cpuinfo to say yes for the F0 0F bug, seem to remember it did before.

Additional info:
Comment 1 Need Real Name 2006-07-01 19:42:37 EDT
Created attachment 131843 [details]
relevant cpuinfo and dmesg portion output
Comment 2 Ralf Corsepius 2006-07-03 00:46:38 EDT
Also affected:
kernel-2.6.17-1.2139_FC5.i586
kernel-2.6.16-1.2122_FC5.i586

# dmesg | grep 'F0 0F'
Intel Pentium with F0 0F bug - workaround enabled.
# cat /proc/cpuinfo | grep f00f
f00f_bug        : no
Comment 3 Ralf Corsepius 2006-07-24 07:55:32 EDT
Bug still present in kernel-2.6.17-1.2157_FC5.i586
Comment 4 Dave Jones 2006-09-16 22:07:26 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 5 Dave Jones 2006-10-16 17:08:09 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Ralf Corsepius 2006-11-01 01:50:16 EST
Bug is still present on FC6 with kernel-2.6.18-1.2798.fc6.i586

# uname -a
Linux manus 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:54:20 EDT 2006 i586 i586 i386
GNU/Linux

# dmesg | grep -i 'f0 0f'
Intel Pentium with F0 0F bug - workaround enabled.

# cat /proc/cpuinfo | grep -i 'f00f'
f00f_bug        : no
Comment 7 Ralf Corsepius 2007-02-20 06:33:03 EST
Bug is still present in 2.6.19-1.2911.fc6
Comment 8 Jon Stanley 2008-01-19 23:39:08 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.
Comment 9 Need Real Name 2008-01-21 12:31:39 EST
(In reply to comment #8)
> (this is a mass-close to kernel bugs in NEEDINFO state)
> As indicated previously there has been no update on the progress of this bug
> therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
> still occurs for you and I will try to assist in its resolution. Thank you for
> taking the time to report the initial bug.
> If you believe that this bug was closed in error, please feel free to reopen
> this bug.

This bug is still present as of Fedora 7:

kernel 2.6.23.8-34.fc7

Cannot verify against Fedora 8 as I sadly can't get it to install.

Cheers.
Comment 10 Ralf Corsepius 2008-01-23 08:34:44 EST
(In reply to comment #9)
> Cannot verify against Fedora 8
Meanwhile, I can:

Bug is still present in Fedora 8: kernel-2.6.23.9-85.fc8.i586

> as I sadly can't get it to install.
Yep, seems to me, as if F8/i586 hasn't seen any testing at all :(
Comment 11 Bug Zapper 2008-05-14 08:01:45 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Ralf Corsepius 2008-05-14 08:11:02 EDT
Update distro tag to FC8 due to butt-triage infantility.
Comment 13 Ralf Corsepius 2008-05-14 11:53:38 EDT
Bug is still present in Fedora 9: kernel-2.6.25-14.fc9.i586
Comment 14 Chuck Ebbert 2008-08-01 00:51:52 EDT
Created attachment 313161 [details]
fix for the f00f bug detection

Someone found the problem.
Comment 15 Ralf Corsepius 2008-08-13 10:46:42 EDT
Was this supposed to be fixed?

I still observe this bug with Fedora 9/kernel-2.6.25.14-108.fc9.i586
Comment 16 Fedora Update System 2008-08-31 11:02:05 EDT
kernel-2.6.26.3-27.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.26.3-27.fc9
Comment 17 Fedora Update System 2008-09-03 12:49:35 EDT
kernel-2.6.26.3-29.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.26.3-29.fc9
Comment 18 Fedora Update System 2008-09-05 08:19:28 EDT
kernel-2.6.26.3-29.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2008-09-10 03:06:51 EDT
kernel-2.6.26.3-29.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Ralf Corsepius 2008-09-13 00:24:33 EDT
Yeah, after all the years, this bug finally seems to be fixed:

# uname -a
Linux manus 2.6.26.3-29.fc9.i586 #1 SMP Wed Sep 3 03:05:01 EDT 2008 i586 i586 i386 GNU/Linux

# dmesg | grep -i'f0 0f'
Intel Pentium with F0 0F bug - workaround enabled.

# cat /proc/cpuinfo | grep -i 'f00f'
f00f_bug        : yes

Note You need to log in before you can comment on or make changes to this bug.